### Method

# GtkSource GutterRendererText measure

#### Declaration [src]

    void
    gtk_source_gutter_renderer_text_measure (
      GtkSourceGutterRendererText* renderer,
      const gchar* text,
      gint* width,
      gint* height
    )

#### Description [src]

Measures the text provided using the pango layout used by the `GtkSourceGutterRendererText`.

#### Parameters

`text`

  Type: `const gchar*`

  The text to measure.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint*`

  Location to store the width of the text in pixels, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Location to store the height of the text in pixels, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.